package lel.flummi.skilloverlay.api.records;

import java.util.List;
import java.util.HashMap;

import com.google.gson.annotations.SerializedName;

public record Profile(
    boolean success,
    List<Profiles> profiles
) {
    public record Profiles(
        @SerializedName("profile_id") String profileId,
        @SerializedName("last_save") long lastSave,
        HashMap<String, Member> members,
        boolean selected
    ) {
        public record Member(
            double experience_skill_farming
        ){}
    }
}
