package lel.flummi.skilloverlay.config;

import me.shedaniel.autoconfig.AutoConfig;
import me.shedaniel.autoconfig.ConfigData;
import me.shedaniel.autoconfig.annotation.Config;
import me.shedaniel.autoconfig.annotation.ConfigEntry;
import me.shedaniel.autoconfig.serializer.GsonConfigSerializer;

@Config(name = "skilloverlay")
public class skilloverlayconfig implements ConfigData {
    @ConfigEntry.Category("general")
    @ConfigEntry.Gui.TransitiveObject
    public General general = new General();

    public static class General {
        public String apiKey = "";
    }

    public static void init() {
        AutoConfig.register(skilloverlayconfig.class, GsonConfigSerializer::new);
    }

    public static skilloverlayconfig get() {
        return AutoConfig.getConfigHolder(skilloverlayconfig.class).getConfig();
    }
}
